char M_TITLE[] = "List up CAMERA program by DirectShow Ver.1.07\n";
char M_HELP[] =
"Usage : list_camera [-1] [<camera no.>]\n"
"Option : -1 : display mediatypes for 'One' pin (old version mode)\n"
;
/*
  DirectShowgpF͉\ȃLv`foCX̃Xg\

  1.00 Ƃ肠쐬
  ȍ~̃o[Wcam_lib.cppɍ킹ĂB
*/

#include <stdio.h>
#include <string.h>

#include "cam_list.h"
#include "disp_mediatype.h"

#include "get_option_flag.f"

// ō\Ă镶񂩔ۂ
int is_numstr(char *data)
{
  while(*data != '\0')
    {
      switch(*data)
	{
	  case '0':    case '1':    case '2':    case '3':    case '4':
	  case '5':    case '6':    case '7':    case '8':    case '9':
	    break;
	  default:
	    return(FALSE);
        }
      data++;
    }
  return(TRUE);
}

int main(int argc,char *argv[])
{
  int no;
  int one_flag;

  printf(M_TITLE);

  if(get_option_flag('h',&argc,&argv))
    {
      printf(M_HELP);
      exit(1);
    }
  one_flag = get_option_flag('1',&argc,&argv);

  no = -1;
  if(argc > 1)
    {
      if(is_numstr(argv[1]))
        {
	  no = atoi(argv[1]);
        }
      else
	{
	  no = search_camera(argv[1]);
        }
      printf("Search camera name '%s' -> %d\n",argv[1],no);
    }
  list_camera(no,one_flag);
  return 0 ;
}
