/*
  char^(SJIS)ƁAwchar_t^(UTF16)Ԃőݕϊ Ver.1.00b
  
  Windowsp

  vWFNg̕Zbgɂ͈ˑȂB(tchar.h͎gĂȂ)

  Ver.1.00 2012/12/12 Ƃ肠쐬
*/
#include <stdio.h>
#include <stdlib.h>
#include <windows.h>

wchar_t *conv_char_to_wchar(char in[])
{
  int len;
  wchar_t *ret_code;

  len = MultiByteToWideChar(CP_ACP,0,in,-1,NULL,0);
  // printf("WideCharLen : %d\n",len);
  if(len == 0) return(NULL);
  ret_code = (wchar_t *)calloc(len,sizeof(wchar_t));
  if(ret_code == NULL) return(NULL);
  len = MultiByteToWideChar(CP_ACP,0,in,-1,ret_code,len);
  if(len == 0)
    {
      free(ret_code);
      return(NULL);
    }
  return(ret_code);
}

char *conv_wchar_to_char(wchar_t in[])
{
  int len;
  char *ret_code;
  
  len = WideCharToMultiByte(CP_ACP,0,in,-1,NULL,0,NULL,NULL);
  // printf("MultiByteLen : %d\n",len);
  if(len == 0) return(NULL);
  ret_code = (char *)calloc(len,sizeof(char));
  if(ret_code == NULL) return(NULL);
  len = WideCharToMultiByte(CP_ACP,0,in,-1,ret_code,len,NULL,NULL);
  if(len == 0)
    {
      free(ret_code);
      return(NULL);
    }
  return(ret_code);
}
